// Request.hh
// This file is part of libpbe; see http://anyterm.org/
// (C) 2005-2006 Philip Endecott

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


#ifndef Request_hh
#define Request_hh

#include <string>
#include <map>
#include <iostream>

#include "HttpRequest.hh"
#include "Exception.hh"


class Request: public HttpRequest {
public:
  class SyntaxError: public pbe::StrException {
  public:
    SyntaxError(void):
      pbe::StrException("Syntax error in request") {}
  };

  void load(std::istream& strm);
};


std::ostream& operator<<(std::ostream& strm, const Request& r);



#endif
